libcdr::CDRPattern Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRPattern ()
| CDRPattern (unsigned w, unsigned h, const std::vector< unsigned char > &p)

## Public Attributes

unsigned | width
unsigned | height
std::vector< unsigned char > | pattern

## Constructor & Destructor Documentation

## CDRPattern() [1/2]

libcdr::CDRPattern::CDRPattern | ( |  | ) |

inline

## CDRPattern() [2/2]

libcdr::CDRPattern::CDRPattern | ( | unsigned | w,
|  | unsigned | h,
|  | const std::vector< unsigned char > & | p )

inline

## Member Data Documentation

## height

unsigned libcdr::CDRPattern::height

Referenced by libcdr::CDRContentCollector::_generateBitmapFromPattern(), CDRPattern(), and CDRPattern().

## pattern

std::vector<unsigned char> libcdr::CDRPattern::pattern

Referenced by libcdr::CDRContentCollector::_generateBitmapFromPattern(), CDRPattern(), and CDRPattern().

## width

unsigned libcdr::CDRPattern::width

Referenced by libcdr::CDRContentCollector::_generateBitmapFromPattern(), CDRPattern(), and CDRPattern().

The documentation for this struct was generated from the following file:

- CDRTypes.h